<?php

namespace App\Http\Controllers;

use App\Models\User;
use App\Helpers\Helper;
use App\Models\company;
use App\Models\FeedBack;
use App\Events\SendAction;
use Illuminate\Http\Request;

class AppFeedBackController extends Controller
{
    function create(Request $request)
    {
        $validateInput = $request->validate([
            'name'   => 'required|max:50',
            'subject' => 'required',
            'message' =>  'required|max:100'
        ]);
        $company = company::where('id', auth()->user()->company_id)->first();
        $validateInput['company'] = $company->title;
        $feed_back = FeedBack::create($validateInput);
        $admin = User::where('user_role', 'admin')->first();
        event(new SendAction([$admin->id], [
            'actor_id' => auth()->user()->id,
            'actor_type' => 'user',
            'user_id' => $admin->id,
            'object_id' => $feed_back->id,
            'title' => auth()->user()->user_name . '  upload feedback',
            'object_type' => get_class($feed_back),
            'type' => 'create-feedback',
            // 'media' => $media,
            // 'object_id' => '',
            'body' => $feed_back->message,
        ], true));
        return Helper::response($feed_back, 200);
    }
}
