<?php

namespace App\Http\Controllers;

use App\Models\User;
use App\Helpers\Helper;
use App\Models\Content;
use App\Models\ContactUs;
use App\Events\SendAction;
use Illuminate\Http\Request;

class ContectUsController extends Controller
{
    function create(Request $request)
    {
        $validateInput = $request->validate([
            'name'   => 'required|max:50',
            'subject' => 'required',
            'message' =>  'required|max:100',
            'email' =>  'required|email'
        ]);
        // return $validateInput;
        $validateInput['company_id'] = auth()->user()->company_id;
        $contect_us = ContactUs::create($validateInput);
        $admin = User::where('company_id', auth()->user()->company_id)->where('user_role', 'sub_admin')->first();
        event(new SendAction([$admin->id], [
            'actor_id' => auth()->user()->id,
            'actor_type' => 'user',
            'user_id' => $admin->id,
            'object_id' => $contect_us->id,
            'title' => auth()->user()->user_name . '  create Contact Us you',
            'object_type' => get_class($contect_us),
            'type' => 'create-contactus',
            // 'media' => $media,
            // 'object_id' => '',
            'body' => $contect_us->message,
        ], true));
        return Helper::response($contect_us, 200);
    }
}
