<?php

namespace App\Http\Controllers;

use App\Models\Poll;
use App\Helpers\Helper;
use Illuminate\Http\Request;
use App\Models\ClickThroughRate;
use App\Http\Resources\PollResource;
use Illuminate\Support\Facades\Auth;

class PollController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $polls = Poll::where('company_id', auth()->user()->company_id)
            ->orWhere('is_stock', true)
            ->latest()->get();
        return Helper::response(PollResource::collection($polls), 200);
    }
    public function ClickThroughRate(Request $request)
    {
        // Validate the request data
        $request->validate([
            'poll_id' => 'required|integer|exists:polls,id',
        ]);

        // Create a new ClickThroughRate record
        ClickThroughRate::create([
            'clickable_id' => $request->poll_id,
            'clickable_type' => Poll::class, // Adjust the model namespace if needed
            'user_id' => Auth::id(),
            'department_id' => Auth::user()->department_id,
        ]);

        // Return a successful response
        return Helper::response([], 200, false, ['Click-through rate recorded successfully']);
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(Poll $poll)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Poll $poll)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, Poll $poll)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Poll $poll)
    {
        //
    }
}
