<?php

namespace App\Http\Controllers;

use App\Models\User;
use App\Helpers\Helper;
use App\Events\SendAction;
use App\Models\Suggestion;
use Illuminate\Http\Request;
use App\Http\Resources\SuggestionResource;

class SuggestionController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $suggestions = Suggestion::where('company_id', auth()->user()->company_id)->where('status', 'approve')->latest()->get();
        // foreach($suggestions as $suggestion){
        //     SuggestionUser::updateOrCreate([
        //         'user_id',
        //         'suggestion_id'
        //     ], [
        //         'reach'
        //     ]);
        // }

        return Helper::response(SuggestionResource::collection($suggestions));
    }

    function history()
    {
        $history = Suggestion::where('user_id', auth()->user()->id)->latest()->get();
        return Helper::response(SuggestionResource::collection($history));
    }
    /**
     * Show the form for creating a new resource.
     */
    public function create(Request $request)
    {
        $request->validate([
            // 'media'         => 'required',
            'description'   => 'required|max:255',
            'name'   => 'sometimes|max:255',
            'email'   => 'sometimes|max:255',
        ]);
        $params = $request->all();
        if ($request->hasFile("media")) {
            $params["media"] = $this->media1(
                $request,
                "suggestions"
            );
            $file = $request->file("media");
            $mimeType = $file->getClientMimeType();
            $fileType = explode('/', $mimeType)[0];
        }
        // Check if $fileType is not empty before assigning it
        $params['company_id'] = auth()->user()->company_id;
        $params['department_id'] = auth()->user()->department_id;
        $params['user_id'] = auth()->user()->id;
        if (!empty($fileType)) {
            $params['media_type'] = $fileType;
        }
        $suggestion = Suggestion::create($params);
        $admin = User::where('company_id', auth()->user()->company_id)->where('user_role', 'sub_admin')->first();
        event(new SendAction([$admin->id], [
            'actor_id' => auth()->user()->id,
            'actor_type' => 'user',
            'user_id' => $admin->id,
            'object_id' => $suggestion->id,
            'title' => auth()->user()->user_name . '  upload suggestion',
            'object_type' => get_class($suggestion),
            'type' => 'create-suggestion',
            // 'media' => $media,
            // 'object_id' => '',
            'body' => $suggestion->description,
        ], true));
        return Helper::response($suggestion, 200);
    }



    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(Suggestion $suggestion)
    {
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Suggestion $suggestion)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, Suggestion $suggestion)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Suggestion $suggestion)
    {
        //
    }
}
