<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class LoginRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'user_name' => 'required',
            'password' => 'required|min:8|max:16'
        ];
    }

    public function messages(): array
    {
        return [
            'email.email' => 'Please enter valid email address.',
            'password.min' => 'Password must be Minimum 8 Characters and Maximum 16 Characters.',
            'password.max' => 'Password must be Minimum 8 Characters and Maximum 16 Characters.',
        ];
    }
}
