<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rules\Password;

class UserRegistrationRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        $validations = [
            // 'first_name' => 'required|string|max:50|min:2',
            // 'last_name' => 'required|string|max:50|min:2',
            'user_name' => 'required|string|max:50|min:2|max:255|unique:users',
            'department_id' => 'required|integer',
            'company_id' => 'required|integer',
            // 'address' => 'required',

            // 'email' => 'required|regex:/^([a-z0-9\+_\-]+)(\.[a-z0-9\+_\-]+)*@([a-z0-9\-]+\.)+[a-z]{2,6}$/ix|email|min:6|max:255|unique:users',
            //            'password' => 'required|string|min:8|max:15',
            'password' => [
                'required', Password::min(8)->mixedCase()->numbers(),
                //                'regex:/((?=.*\d)|(?=.*\W+))(?![.\n])(?=.*[A-Z])(?=.*[a-z]).*$/',
                'max:16'
            ],
            // "phone" => 'required|string|min:10|max:15',
            "gender" => 'sometimes',
            "dob" => 'sometimes|string|min:10|max:50',
            // 'user_role' => 'required|in:umpire,game_assigner,both',

        ];

        return $validations;
    }

    public function messages(): array
    {
        return [
            'email.email' => 'Please enter valid email address.',
            'password.min' => 'Password must be Minimum 8 Characters and Maximum 16 Characters.',
            'password.max' => 'Password must be Minimum 8 Characters and Maximum 16 Characters.',
        ];
    }
}
