<?php

namespace App\Http\Resources;

use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class AnswersResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        $totalCount = User::where('company_id', auth()->user()->company_id)
            ->where('user_role', 'user')
            ->count();

        return [
            'id' => $this->id,
            'poll_id' => $this->poll_id,
            'answer' => $this->answer,
            'emoji' => $this->emoji,
            'color' => $this->color,
            'reacCount' => $this->reactCounts->count(),
            'percent' => $totalCount > 0 ? round(($this->reactCounts->count() / $totalCount * 100), 0) : 0,
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
