<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use App\Http\Resources\ProductResource;
use Illuminate\Http\Resources\Json\JsonResource;

class CategoryResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray($request): array
    {
        return [

            'id'            => $this->id,
            'parent_id'     => $this->parent_id,
            'name'          => $this->name,
            'heading'       => $this->heading,
            'sub_heading'   => $this->sub_heading,
            'image_url'     => $this->image_url !== null ? env('MEDIA_URL') . $this->image_url : null,
            'status'        => $this->status,
            'sub_category'      => CategoryResource::collection($this->subCategory),
        ];
    }
}
