<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class NewsFeedResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            'id'   => $this->id,
            // 'user' => $this->user_id,
            'description' => $this->description,
            'likes' => $this->likes->count(),
            'reachCount' => $this->reach->count(),
            'commentCount' => $this->comments->count(),
            'IsReact' => $this->IsReact,
            'comments' => $this->comments()->with('user')->get()->toArray(),
            'media' => $this->media,
            'user' => $this->user,
        ];
    }
}
