<?php

namespace App\Http\Resources;

use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class PollResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'company_id' => $this->company_id,
            'question' => $this->question,
            'start_date' => $this->start_date,
            'end_date' => $this->end_date,
            'is_stock' => $this->is_stock,
            'IsReact' => $this->IsReact,
            'type' => $this->type,
            'answers' => AnswersResource::collection($this->answers),
            'user' => User::where('company_id', auth()->user()->company_id)
                ->where('user_role', 'sub_admin')
                ->select('id', 'first_name', 'last_name', 'user_name', 'profile_image')
                ->first(),
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
