<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use App\Http\Resources\ProductAttributeResource;
use App\Models\Banner;
use App\Models\Category;
use Illuminate\Http\Resources\Json\JsonResource;

class ProductResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */

    private $customKey;

    /**
     * ProductResource constructor.
     * @param $resource
     * @param null $customKey
     */
    public function __construct($resource)
    {
        parent::__construct($resource);
        // $this->customKey = $customKey;
        $this->resource = $resource;
    }
    public function toArray($request)
    {
        $category = preg_match("/categories/i", $_SERVER['REQUEST_URI']);
        $getproduct = preg_match("/productCat&subCat/i", $_SERVER['REQUEST_URI']);
        $search = preg_match("/search/i", $_SERVER['REQUEST_URI']);

        $output = parent::toArray($request);
        if (!$category && !$getproduct && !$search) {
            $output['id'] = $this->id;
            $output['banner'] = new BannerResource(Banner::where('status', true)->latest()->first());
            $output['attributes'] = ProductAttributeResource::collection($this->productAttribute);
            $output['productImages'] = ProductImagesResource::collection($this->productImage);
        } elseif ($getproduct) {
            $output['id'] = $this->id;
            // $output['banner'] = new BannerResource(Banner::where('status', true)->latest()->first());
            $output['attributes'] = ProductAttributeResource::collection($this->productAttribute);
            $output['productImages'] = ProductImagesResource::collection($this->productImage);
            $output['reviews'] = $this->reviews;
        } else {
            $output['id'] = $this->id;
            // $output['banner'] = new BannerResource(Banner::where('status', true)->latest()->first());
            $output['attributes'] = ProductAttributeResource::collection($this->productAttribute);
            $output['productImages'] = ProductImagesResource::collection($this->productImage);
            $output['reviews'] = $this->reviews;
        }

        return $output;
    }
}
