<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class SuggestionResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [

            'id'            => $this->id,
            'user_id'       => $this->user_id,
            'company_id'    => $this->company_id,
            'description'   => $this->description,
            'media_type'    => $this->media_type,
            'media'         => $this->media,
            'reason'        => $this->reason,
            'status'        => $this->status,
            'likes'         => $this->likes->count(),
            'dislikes'      => $this->dislikes->count(),
            'isLike'      => $this->isLike,
            'isDislike'      => $this->isDislike,
            'user'          => $this->user,
            'created_at'    => $this->created_at->diffForHumans(),
            'updated_at'    => $this->updated_at

        ];
    }
}
