<?php

namespace App\Models;

use Illuminate\Support\Facades\Auth;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class NewsFeed extends Model
{
    use HasFactory;
    protected $fillable = [
        ' user_id',
        ' company_id',
        ' description',
    ];
    protected $appends = [
        'IsReact',
    ];
    public function getIsReactAttribute()
    {

        $userReacted = $this->likes->contains(function ($likes) {
            return $likes->where('user_id', Auth::id())->where('reaction', true)->exists();
        });
        if ($userReacted) {
            return true;
        } else {
            return false;
        }
    }
    public function likes()
    {
        return $this->morphMany(React::class, 'reactable')->where('reaction', true);
    }

    function user()
    {
        return $this->belongsTo(User::class, 'user_id')->select('id', 'first_name', 'last_name', 'user_name', 'profile_image');
    }

    function media()
    {
        return $this->hasMany(NewsFeedsMedia::class);
    }
    function reach()
    {
        return $this->hasMany(NewsFeedReachUser::class);
    }

    function comments()
    {
        return $this->hasMany(Comment::class);
    }
}
