<?php

namespace App\Models;

use App\Models\User;
use Illuminate\Support\Facades\Auth;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Poll extends Model
{
    use HasFactory;
    protected $fillable = [

        'company_id',
        'question',
        'start_date',
        'end_date',
        'is_stock',
        'type',

    ];
    protected $appends = [
        'IsReact',
    ];



    public function getIsReactAttribute()
    {
        // $userReacted = $this->answers->filter(function ($answer) {
        //     return $answer->reactCounts()->where('user_id', Auth::id())->exists();
        // })->isNotEmpty();
        // return $userReacted;
        // return $this->answers;

        $userReacted = $this->answers->contains(function ($answer) {
            return $answer->reactCounts()->where('user_id', Auth::id())->exists();
        });
        if ($userReacted) {
            return true;
        } else {
            return false;
        }
    }
    /**
     * Get all of the answers for the Poll
     *
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function answers()
    {
        return $this->hasMany(PollAnswer::class);
    }
    public function admin()
    {
        return $this->belongsTo(User::class, 'company_id');
    }
}
