<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('company_id')->nullable();
            $table->bigInteger('department_id')->nullable();
            $table->string('first_name')->nullable();
            $table->string('last_name')->nullable();
            $table->string('user_name')->unique()->nullable();
            $table->string('email')->unique();
            $table->string('verification_code')->nullable();
            $table->string('forgot_pasword_secret_key')->nullable();
            $table->string('expired_at')->nullable();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('social_id')->nullable();
            $table->string('provider')->nullable();
            $table->text('city')->nullable();
            $table->text('state')->nullable();
            $table->string('phone')->nullable();
            $table->string('phone_verification_code')->nullable(true);
            $table->timestamp('phone_verified_at')->nullable();
            $table->string('password');
            $table->string('forgot_password_code')->nullable();
            $table->string('gender')->nullable();
            $table->string('dob')->nullable();
            $table->string('profile_image')->nullable();
            $table->string('customer_stripe_id')->nullable();
            $table->enum('user_type', ['user', 'admin', 'sub_admin', 'guest'])->default('user');
            $table->enum('user_role', ['user', 'admin', 'sub_admin'])->default('user');
            $table->rememberToken();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
};
