<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('activities', function (Blueprint $table) {
            $table->id();
            $table->mediumText('user_type')->nullable();
            $table->bigInteger('user_id')->nullable();
            $table->string('title');
            $table->string('body')->nullable();
            $table->string('object_type')->nullable();
            $table->bigInteger('object_id')->nullable();
            $table->mediumText('actor_type')->nullable();
            $table->bigInteger('actor_id')->nullable();
            $table->string('type')->nullable();
            $table->boolean('viewed')->default(false);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('activities');
    }
};
