<?php

namespace Database\Seeders;


use Illuminate\Database\Seeder;
use App\Models\ProductAttribute;
use App\Models\Product;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class ProductAttributesSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run()
    {
        // Get all products
        $products = Product::all();


        foreach ($products as $product) {
            // Generate random attributes for each product
            $attributesCount = rand(1, 5); // You can adjust the number of attributes per product

            for ($i = 0; $i < $attributesCount; $i++) {
                ProductAttribute::create([
                    'product_id' => $product->id,
                    'size' => 'Random Size', // Replace with your attribute data
                    'color' => 'Random Color', // Replace with your attribute data
                    'stock' => rand(1, 100), // Replace with your attribute data
                    'image' => 'attribute_image.jpg', // Replace with your attribute data
                    'price' => rand(10, 100), // Replace with your attribute data
                    'discount_price' => rand(5, 50), // Replace with your attribute data
                ]);
            }
        }
    }
}
