<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class SubcategoriesSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run()
    {
        // Define the parent categories you want to seed
        $parentCategories = [
            ['name' => 'Men', 'heading' => 'Men Clothing', 'sub_heading' => 'Men Fashion', 'image_url' => 'man.jpg'],
            ['name' => 'Women', 'heading' => 'Women Clothing', 'sub_heading' => 'Women Fashion', 'image_url' => 'woman.jpg'],
            ['name' => 'Kids', 'heading' => 'Kids Clothing', 'sub_heading' => 'Children Fashion', 'image_url' => 'kids.jpg'],
            // Add more parent categories as needed
        ];

        foreach ($parentCategories as $parentCategory) {
            // Insert the parent category
            $parentCategoryId = DB::table('categories')->insertGetId($parentCategory);

            // Define subcategories for this parent category
            $subcategories = [
                'Pent',
                'Shirt',
                'Trouser',
                'jeans',
                // Add more subcategories as needed
            ];

            // Generate subcategories with names based on the defined subcategories
            foreach ($subcategories as $subcategoryName) {
                $subcategory = [
                    'name' => $subcategoryName,
                    'heading' => $subcategoryName,
                    'sub_heading' => $subcategoryName,
                    'image_url' => $parentCategory['image_url'],
                    'parent_id' => $parentCategoryId,
                ];

                DB::table('categories')->insert($subcategory);
            }
        }
    }
}
