<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\PollController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\ReactController;

use App\Http\Controllers\CompanyController;

use App\Http\Controllers\ContentController;
use App\Http\Controllers\PackageController;
use App\Http\Controllers\ActivityController;
use App\Http\Controllers\AppFeedBackController;
use App\Http\Controllers\UserCardController;
use App\Http\Controllers\ContectUsController;
use App\Http\Controllers\SuggestionController;
use App\Http\Controllers\RegistrationController;
use App\Http\Controllers\SubscriptionController;
use App\Http\Controllers\PasswordResetController;
use App\Http\Controllers\AuthenticationController;
use App\Http\Controllers\DepartmentController;
use App\Http\Controllers\IncidentController;
use App\Http\Controllers\NewsFeedController;
use App\Http\Controllers\SettingController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

/* Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
}); */


Route::get('/bkLocation', function () {
    \Log::debug('BKLOCATION');
});
\Log::info('--------------start-------------------');
\Log::info(@$_SERVER['HTTP_AUTHORIZATION']);
\Log::info(\Request::fullUrl());
\Log::info('---------------end------------------');
\Log::info('-------------header start--------------------');
\Log::info(\Request::header());
\Log::info(@$_SERVER['REQUEST_METHOD']);
\Log::info('-------------header end--------------------');
\Log::info('-------------json request start--------------------');
\Log::info(json_encode(\Request::all()));
\Log::info('-------------json request end--------------------');
\Log::info('-------------request all start--------------------');
\Log::info(\Request::all());
\Log::info('-------------request all end--------------------');


Route::namespace('App\Http\Controllers')->group(function () {
    Route::get('/info', function () {
        return response()->json([
            "email" => "support@nanniesonwheelz.com",
            "phone" => "1234 123 1234",
            "whatsapp" => "1234 123 1234",
            'android' => [
                "version" => "1.0.0",
                "link" => ""
            ],
            'ios' => [
                "version" => "1.0.0",
                "link" => ""
            ],
        ]);
    });

    // Authentication
    Route::post('/login', [AuthenticationController::class, 'login'])->name('login');
    Route::post('/social-login', [AuthenticationController::class, 'socialLogin']);
    Route::post('/guest-login', [AuthenticationController::class, 'guestLogin']);

    // New User
    Route::post('/register', [RegistrationController::class, 'register']);
    Route::post('/code', [CompanyController::class, 'code']);

    // Forgot Password
    Route::post('/forgot-password', [PasswordResetController::class, 'sendResetLink'])
        ->middleware('throttle:6,1');

    Route::post('/forgot-password/{token}', [PasswordResetController::class, 'passwordReset']);

    // Get All Users
    Route::get('/user/all', [UserController::class, 'getUsers']);

    // password reset
    Route::post('/request-code', [PasswordResetController::class, 'forgotPassword']);
    Route::post('/verify-code', [PasswordResetController::class, 'verifyCode']);
});
Route::group(
    [
        'middleware' => 'auth:sanctum',
    ],
    function () {
        Route::post('/change-password', [PasswordResetController::class, 'changePassword']);
    }
);

// content route
Route::group(
    [
        'middleware' => 'auth:sanctum',
        'prefix' => 'content'
    ],
    function () {
        Route::get('/', [ContentController::class, 'index']);
        Route::get('/{slug}', [ContentController::class, 'show']);
    }
);
// department route
Route::group(
    [
        'middleware' => 'auth:sanctum',
        'prefix' => 'department'
    ],
    function () {
        Route::get('/withoutcode', [DepartmentController::class, 'getDepartments']);
    }
);

// subscription route
Route::group(
    [
        'middleware' => 'auth:sanctum',
        'prefix' => 'subscription'
    ],
    function () {
        Route::post('/subscribe', [SubscriptionController::class, 'subscribe']);
        Route::get('/getSubscription', [SubscriptionController::class, 'getSubscription']);
    }
);
// package route
Route::group(
    [
        'middleware' => 'auth:sanctum',
        'prefix' => 'package'
    ],
    function () {
        Route::get('/', [PackageController::class, 'getPackages']);
        Route::get('/{id}', [PackageController::class, 'getPackage']);
    }
);
// polls route
Route::group(
    [
        'middleware' => 'auth:sanctum',
        'prefix' => 'polls'
    ],
    function () {
        Route::get('/', [PollController::class, 'index']);
        Route::post('/ClickThroughRate', [PollController::class, 'ClickThroughRate']);
    }
);
// suggestions route
Route::group(
    [
        'middleware' => 'auth:sanctum',
        'prefix' => 'suggestions'
    ],
    function () {
        Route::get('/', [SuggestionController::class, 'index']);
        Route::get('/history', [SuggestionController::class, 'history']);
        Route::post('/create', [SuggestionController::class, 'create']);
    }
);
// activity route
Route::group(
    [
        'middleware' => 'auth:sanctum',
        'prefix' => 'activities'
    ],
    function () {
        Route::get('/', [ActivityController::class, 'index']);
        Route::patch('/isnotify', [ActivityController::class, 'isNotify']);
    }
);
// activity route
Route::group(
    [
        'middleware' => 'auth:sanctum',
        'prefix' => 'contactus'
    ],
    function () {
        Route::post('/', [ContectUsController::class, 'create']);
    }
);
Route::group(
    [
        'middleware' => 'auth:sanctum',
        'prefix' => 'newsfeed'
    ],
    function () {
        Route::post('/react', [NewsFeedController::class, 'likeDislike']);
        Route::post('/comment', [NewsFeedController::class, 'comment']);
        Route::get('/index', [NewsFeedController::class, 'index']);
    }
);
Route::group(
    [
        'middleware' => 'auth:sanctum',
        'prefix' => 'incident'
    ],
    function () {
        Route::post('/addOrUpdate', [IncidentController::class, 'add']);
        Route::get('/index', [IncidentController::class, 'index']);
        Route::get('/show/{incident}', [IncidentController::class, 'show']);
    }
);
Route::group(
    [
        'middleware' => 'auth:sanctum',
        'prefix' => 'feedback'
    ],
    function () {
        Route::post('/', [AppFeedBackController::class, 'create']);
    }
);
// react route
Route::group(
    [
        'middleware' => 'auth:sanctum',
        'prefix' => 'reacts'
    ],
    function () {
        Route::post('/', [ReactController::class, 'reactToPollOrSuggestion']);
    }
);
Route::group(
    [
        'middleware' => 'auth:sanctum',
        'prefix' => 'setting'
    ],
    function () {
        Route::get('/', [SettingController::class, 'index']);
    }
);
// user route
Route::group(
    [
        'middleware' => 'auth:sanctum',
        'prefix' => 'user'
    ],
    function () {
        Route::post('/device', [UserController::class, 'addDevice']);
        Route::delete('/device', [UserController::class, 'deleteDevice']);
        Route::patch('/update', [UserController::class, 'createOrUpdateProfile']);
        Route::patch('/update-profile-picture', [UserController::class, 'updatePicture']);
        Route::get('/user', [UserController::class, 'getAuthUserDetails']);
        Route::get('/user/{id}', [UserController::class, 'getUserDetails']);
        Route::post('/changeUserpassword', [PasswordResetController::class, 'changeUserPassword']);
        Route::delete('/delete-account', [UserController::class, 'deleteAccount']);
        Route::post('/logout', [AuthenticationController::class, 'logout']);
        Route::post('/logout', [AuthenticationController::class, 'logout']);
    }
);


// childernReports route





// card payment route
Route::group(
    [
        'middleware' => 'auth:sanctum',
        'prefix' => 'card'
    ],
    function () {
        Route::get('/cards', [UserCardController::class, 'showAll']);
        Route::post('/card', [UserCardController::class, 'create']);
        Route::delete('/delete', [UserCardController::class, 'delete']);
        Route::post('/create-card-token', [UserCardController::class, 'createCardToken']);
    }
);
